Name:           ccnet
Version:        5.1.1
Release:      1%{?dist}
Summary:      Networking library for Seafile


%global commit 5ab709ec0960428c9916dd5ecc65530d206a7dd2
%global sourcename ccnet
%global shortcommit %(c=%{commit}; echo ${c:0:7})

License:      GPLv3
URL:            https://github.com/haiwen/%{name}
Source0:     https://github.com/haiwen/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz


BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  glib2-devel >= 2.16.0
BuildRequires:  sqlite-devel
BuildRequires:  openssl-devel
BuildRequires:  libevent-devel >= 2.0.0
BuildRequires:  libuuid-devel
BuildRequires:  libsearpc-devel = 3.0.7
BuildRequires:  vala >= 0.8

Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       glib2, libevent
Requires:       libsearpc = 3.0.7

%description
Ccnet is a framework for writing networked applications in C

%package        devel
Summary:        Development files for %{name}


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{commit}
sed -i -e /\(DESTDIR\)/d libccnet.pc.in


%build
./autogen.sh
%configure --disable-static --disable-compile-demo
make
# ccnet parallel compilation messes up searpc-marshal.h
# %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc COPYRIGHT LICENCE.txt HACKING README.markdown
%{_libdir}/*.so.*
%{_bindir}/%{name}*
%{python_sitearch}/%{name}

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog
*  Sat May 28 2016 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 5.1.1-1
- updated for seafile 5.1.1
*  Wed Dec 23 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 5.0.1-1
- updated for seafile 5.0.1
* Fri Nov 27 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 5.0.0-1
- updated for seafile 5.0.0
* Sat Oct 25 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.4.2-1
- updated for seafile 4.4.2
* Mon Sep 21 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.4.0-1
- updated for seafile 4.4.0
* Sun Sep 14 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.3.4-1
- updated for seafile 4.3.4
* Wed Aug 12 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.3.1-1
- updated for seafile 4.3.1
* Fri Jul 30 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.3.0-1
- updated for seafile 4.3.0
* Thu Jul 09 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.7-1
- updated for seafile 4.2.7
* Thu Jun 25 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.6-1
- updated for seafile 4.2.6
* Thu Jun 11 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.4-1
- updated for seafile 4.2.4
* Fri May 15 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.1-1
- updated for seafile 4.2.1
* Tue May 12 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.0-1
- updated for seafile 4.2.0
* Tue Mar 31 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.1.4-1
- updated for seafile 4.1.4
* Mon Mar 23 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.1.3-1
- updated for seafile 4.1.3
* Fri Mar 20 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.1.2-1
- updated for seafile 4.1.2
* Tue Mar 3 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.1.1-1
- updated for seafile 4.1.1
* Fri Jan 30 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.1.0-1
- updated for seafile 4.1.0
* Thu Jan 08 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.0.6-1
- updated for seafile 4.0.6
* Tue Dec 16 2014 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.0.4-6
- updated for seafile 4.0.4
* Sat Dec 06 2014 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 1.4.2-6
- updated for seafile 4.0.3
* Thu Nov 13 2014 Philipp Kerling <pkerling@casix.org> - 1.4.2-5
- updated for seafile 3.1.10
* Fri Sep 19 2014 Philipp Kerling <pkerling@casix.org> - 1.4.2-4
- updated for seafile 3.1.6
* Fri Aug 22 2014 Philipp Kerling <pkerling@casix.org> - 1.4.2-3
- updated for seafile 3.1.5
* Thu Aug 07 2014 Philipp Kerling <pkerling@casix.org> - 1.4.2-2
- updated for seafile 3.1.4
* Mon Apr 28 2014 Philipp Kerling <pkerling@casix.org> - 1.4.2-1
- updated for seafile 3.0.2
* Mon Mar 10 2014 Philipp Kerling <pkerling@casix.org> - 1.4.1-1
- updated for seafile 2.1.2
* Thu Jan 16 2014 Philipp Kerling <pkerling@casix.org> - 1.4.0-1
- updated for seafile 2.1.1
* Sat Nov 16 2013 Philipp Kerling <pkerling@casix.org> - 1.3.8-1
- added description from github
- updated for seafile 2.0.8
* Mon Jan 28 2013 Robin Lee <cheeselee@fedoraproject.org> - 1.0.1-1
- Initial package
